Subject: RE: Re: 3280bis: CRL validation

From: "Stefan Santesson" <[email-masked]>
Date: Fri, 17 Jun 2005 13:14:28 +0100

How hard can this be?

CA is an entity, CRL Issuer is a role.
(I think this was David's point)

A CA is an entity that issues certificates and optionally assumes the
role of CRL Issuer.

CRL Issuer is a role that only involves issuance of CRL. Normally the CA
acts also as CRL Issuer but it can also delegate this role to another
entity.

Can you agree with this principle Denis?

Stefan Santesson
Program Manager, Standards Liaison
Windows Security

> -----Original Message-----
> From: [email-masked]
[mailto:[email-masked]]
> On Behalf Of Denis Pinkas
> Sent: den 17 juni 2005 14:03
> To: David A. Cooper
> Cc: pkix
> Subject: Re: Re: 3280bis: CRL validation
> 
> 
> David,
> 
> (text deleted)
> 
> >If CRL issuers do not issue certificates, why does section 4.1.2.4
> >include the phrase "If the certificate issuer is also the CRL issuer,
> ...."
> 
>  ... because I already said that this sentence was also wrong.
> 
> Once again a CRL Issuer, that is not also a CA, only issues CRLs,
> but not Public Key certificates.
> 
> >In the past you have claimed that what you really mean is that
> >"certificate issuer" and "CRL issuer" are roles and that an entity
can
> >only be acting in one of these roles at a time.
> 
> No. This is not what I said. An entity that is both a CA and a CRL
issuer
> can play both roles at the same time.
> 
> > But, X.509 defines
> >Certification Authority as a type of entity, not as a role and the
use
> >of these terms in RFC 3280 is consistent with that.
> 
> On that aspect, the current terms of RFC 3280 are consistent but
> incorrect.
> This is one of the reasons to build 3280bis.
> 
> >> Hence the sentence above is incorrect. According to RFC 3280,
> >> the corrected sentences should be :
> >>
> >> A CRL cover certificates issued by one or more CAs.
> >> A direct CRL is issued by the CA, while an indirect CRL is issued
> >> by a CRL Issuer.
> 
> >We'll if we really want to nitpick, the term "direct CRL" does not
> >appear in either X.509 or RFC 3280.  It also seems that my initial
> >explanation of the meaning of the term "indirect CRL" was correct
> >according to X.509:
> 
> >   X.509, Clause 3.3.32:  indirect CRL (iCRL):  A revocation list
that
> >   at least contains revocation information about certificates issued
> >   by authorities other than that which issued this CRL.
> 
> I already said that X.509 is not using a clear wording.
> 
> >> Now if you wish to change the vocabulary (and we can get a
consensus)
> >> to say that "indirect CRLs" is restricted to the case where a CRL
> covers
> >> certificates issued by more than one CA, this is not a problem; ...
as
> >> long as we can find a name to designate the case where a CRL covers
> certificates
> >> issued by one and only CA, ... and we can also easily make the
> difference
> >> with the case where the CA is issuing CRLs (currently called
"direct
> >> CRL").
> 
> >I never claimed that this is the meaning of "indirect CRL".  An
indirect
> >CRL may cover issued issued by one or more CAs.  The only requirement
is
> >that the CRL covered certificates that were issued by an entity other
> >than the issuer of the CRL.
> 
> We are having a discussion leading nowhere: you claim that a CRL
Issuer
> issues Public Key Certificates (and CRLs) whereas I claim that a CRL
> Issuer
> only issues CRLs.
> 
> RFC 3280 states:  " CRL issuer: an optional system to which a CA
delegates
> the
>                             publication of certificate revocation
lists";
> 
> I see nowhere in that sentence that a CRL Issuer is an optional system
to
> which
> a CA delegates the publication of public key certificates.
> 
> But, maybe, you make a very very subtle difference between an "issuer
of
> the CRL"
> and a "CRL Issuer" ?
> 
> You wan't find a salvation in X.509 because "CRL Issuer" is used
> everywhere
> in that document, .. but is left undefined in section 3.
> 
> All the other sentences that you mention below have a problem related
to
> the CRL Issuer definition and will need to be fixed.
> 
> Denis
> 
> >>>> 2) The CA is delegating responsibility to one CRL Issuer and that
> >>>> CRL Issuer
> >>>> is only taking care of revocation status information for
certificates
> >>>> issued by that CA.
> >>>>
> >>>> 3) The CA is delegating responsibility to one CRL Issuer and that
> >>>> CRL Issuer
> >>>> is taking care of revocation status information for certificates
> >>>> issued different CAs.
> >>>
> >>> How does case 3 differ from case 2? How is the number of CAs whose
> >>> certificates are covered by a CRL matter?
> >>
> >> For case 3, the CRL includes the CRL entry extension: Certificate
> Issuer.
> >
> >This is yet another false statement that you have made in the past.
> >
> >Section 5.2.5 (Issuing Distribution Point) of RFC 3280 states:
> >
> >   The CRL issuer MUST assert the indirectCRL boolean, if the scope
of
> >   the CRL includes certificates issued by authorities other than the
> >   CRL issuer.  The authority responsible for each entry is indicated
by
> >   the certificate issuer CRL entry extension (section 5.3.4).
> >
> >Section 5.3.4 (Certificate Issuer) of RFC 3280 states:
> >
> >   This CRL entry extension identifies the certificate issuer
associated
> >   with an entry in an indirect CRL, that is, a CRL that has the
> >   indirectCRL indicator set in its issuing distribution point
> >   extension.  If this extension is not present on the first entry in
an
> >   indirect CRL, the certificate issuer defaults to the CRL issuer.
On
> >   subsequent entries in an indirect CRL, if this extension is not
> >   present, the certificate issuer for the entry is the same as that
for
> >   the preceding entry.
> >
> >In case 2 above, where the CRL covers certificates issued by a single
CA
> >and that CA is a different entity from the CRL issuer, the CRL is an
> >indirect CRL and the first entry in the list of revoked certificates
in
> >the CRL MUST include the certificateIssuer extension.  RFC 3280
clearly
> >states that if the certificateIssuer "extension is not present on the
> >first entry in an indirect CRL, the certificate issuer defaults to
the
> >CRL issuer."  In case 2, since the issuer of the revoked certificate
is
> >not the CRL issuer, the certificateIssuer extension must be present
to
> >identity the certificate issuer.
> >
> >Dave
> >
> 
> Regards,
> 
> Denis Pinkas
>

---

From: "David A. Cooper" <[email-masked]>
Date: Fri, 17 Jun 2005 11:10:20 -0400

>acts also as CRL Issuer but it can also delegate this role to another

This should be very simple.

If an entity issues certificates, then it is a CA.

If an entity issues CRLs, then it is a CRL issuer.

An entity may (1) issue both certificates and CRLs; (2) issue 
certificates but not CRLs; or (3) issue CRLs but not certificates.

How difficult is that?  If an entity issues CRLs, then it is a CRL 
issuer.  If that same entity also happens to issue certificates, then it 
is both a CA and a CRL issuer and we have an instance of a certificate 
issuer that is also a CRL issuer.

>Can you agree with this principle Denis?

I not even sure if Denis can agree with himself:

Denis Pinkas wrote:

>No. This is not what I said. An entity that is both a CA and a CRL issuer 
>...
>We are having a discussion leading nowhere: you claim that a CRL Issuer 
>issues Public Key Certificates (and CRLs) whereas I claim that a CRL Issuer 
>only issues CRLs.
>  
>
In the same message, Denis first states that an entity may be both a CA 
and a CRL issuer and then later says that a CRL issuer only issues CRLs 
(i.e., does not issue certificates).

I have no interest in discussing this topic any further.  This is an 
issue that has been discussed several times over the past couple of 
years and there is no reason to have the same discussions over and over 
again, especially when topic at hand, the precise meaning of some term, 
has no real effect on the standard.

Dave